Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationAdhocUpload

    public interface ConfigurationAdhocUpload

This interface define methods to manage Adhoc upload configuration of server.

Since:
  V8.2

Field Summary
`static java.lang.String` | `IMG_TYPE_BMP`
`static java.lang.String` | `IMG_TYPE_GIF`
`static java.lang.String` | `IMG_TYPE_JPG`
`static java.lang.String` | `IMG_TYPE_PNG`
`static java.lang.String` | `IMG_TYPE_TIF`

Method Summary
`java.lang.String[]` | `getUploadEnableFileTypes()` Get file types of upload enable
`int` | `getUploadUpperSize()` Get upper size of upload file
`boolean` | `isUploadEnable(java.lang.String fileType)` Get if upload enable
`void` | `setUploadEnable(java.lang.String fileType, boolean isEnable)` Set if upload enable
`void` | `setUploadUpperSize(int upperSize)` Set upper size of upload file

Field Detail

### IMG_TYPE_JPG

    static final java.lang.String IMG_TYPE_JPG

See Also:
  Constant Field Values

### IMG_TYPE_BMP

    static final java.lang.String IMG_TYPE_BMP

See Also:
  Constant Field Values

### IMG_TYPE_GIF

    static final java.lang.String IMG_TYPE_GIF

See Also:
  Constant Field Values

### IMG_TYPE_TIF

    static final java.lang.String IMG_TYPE_TIF

See Also:
  Constant Field Values

### IMG_TYPE_PNG

    static final java.lang.String IMG_TYPE_PNG

See Also:
  Constant Field Values

Method Detail

### isUploadEnable

    boolean isUploadEnable(java.lang.String fileType)

  Get if upload enable

  Parameters:
    `fileType` - the file type, one of these:
    `IMG_TYPE_JPG`, `IMG_TYPE_BMP`, `IMG_TYPE_GIF`, `IMG_TYPE_TIF`, `IMG_TYPE_PNG`, etc.
  Returns:
    if upload enable

### setUploadEnable

    void setUploadEnable(java.lang.String fileType,
                         boolean isEnable)

  Set if upload enable

  Parameters:
    `fileType` - the file type, one of these:
    `IMG_TYPE_JPG`, `IMG_TYPE_BMP`, `IMG_TYPE_GIF`, `IMG_TYPE_TIF`, `IMG_TYPE_PNG`, etc.
    `isEnable` - if upload enable

### getUploadEnableFileTypes

    java.lang.String[] getUploadEnableFileTypes()

  Get file types of upload enable

  Returns:
    array of file types

### setUploadUpperSize

    void setUploadUpperSize(int upperSize)

  Set upper size of upload file

  Parameters:
    `upperSize` - the upper size(MB)

### getUploadUpperSize

    int getUploadUpperSize()

  Get upper size of upload file

  Returns:
    the upper size(MB)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD